Bug 97674 - Add a link to help on overriding write-protection in the "Write-protected content cannot be changed" pop-up
Summary: Add a link to help on overriding write-protection in the "Write-protected con...
Status: ASSIGNED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Rafael Lima
URL:
Whiteboard: target:7.4.0
Keywords: needsDevEval
Depends on:
Blocks: Help-Link
  Show dependency treegraph
 
Reported: 2016-02-09 06:43 UTC by eu
Modified: 2022-01-07 14:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eu 2016-02-09 06:43:49 UTC
When attempting to modify write-protected content (in an otherwise editable document), a pop-up saying "Write-protected content cannot be be changed. / No modifications will be accepted." This pop-up should mention the way to override the protection, something like additionally saying "(You can choose to ignore  write-protection by setting Tools > Options > libreOffice Writer > Formatting Aids > Protected Areas > Ignore protection.)".

This was discussed in #83299, where a Word-imported document with write-protected areas, but without a way to turn off the write protection normally (through Format > Sections), is reported.
Comment 1 Cor Nouws 2016-02-09 11:15:06 UTC
Hi,

Thanks for filing.
I doubt a bit... Normal would be that one opens the HELP and looks for "protection". That should show the information.
I think there are many cases in the UI where no full explanation is given to change certain settings..
Would it be an idea to have a link to the Help page in such a dialog?

However, currently that info in the HELP is missing.
So that needs and request for enhancement first. See bug 97683
Comment 2 Buovjaga 2016-02-12 08:33:41 UTC
NEEDINFO, while we wait for reporter's opinion on Cor's suggestion.
Comment 3 Xisco Faulí 2016-09-11 21:45:24 UTC Comment hidden (obsolete)
Comment 4 eu 2016-09-15 05:31:57 UTC
Adding a link to help to the error message, as suggested in Comment 2, seems like an excellent idea.
Comment 5 Rafael Lima 2022-01-06 20:54:54 UTC
Proposed patch at:
https://gerrit.libreoffice.org/c/help/+/128068
Comment 6 Commit Notification 2022-01-07 14:58:57 UTC
Rafael Lima committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/c5aa1b0f8efcfb5e4963af8ce667ccb5866fc317

tdf#97674 Add information on how to remove protection from a section